Name:		paps
Version:	0.6.6
Release:	7%{?dist}

License:	LGPL
URL:		http://paps.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/paps/paps-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pango-devel automake autoconf libtool doxygen
Patch0:		paps-makefile.patch
## http://sourceforge.net/mailarchive/forum.php?thread_id=9329194&forum_id=47278
Patch2:		paps-formfeed.patch
## http://sourceforge.net/tracker/index.php?func=detail&aid=1494769&group_id=153049&atid=786242
Patch3:		paps-0.6.6-encoding.patch
## fixed in CVS
Patch4:		paps-typo-font-scale.patch
## fixed in CVS
Patch5:		paps-0.6.6-segfault.patch
## http://sourceforge.net/tracker/index.php?func=detail&aid=1512382&group_id=153049&atid=786242
Patch6:		paps-0.6.6-font-option.patch
## http://sourceforge.net/tracker/index.php?func=detail&aid=1512384&group_id=153049&atid=786239
Patch7:		paps-0.6.6-lcctype.patch
## http://sourceforge.net/tracker/index.php?func=detail&aid=1512385&group_id=153049&atid=786239
Patch8:		paps-0.6.6-wordwrap.patch
## http://sourceforge.net/tracker/index.php?func=detail&aid=1472021&group_id=153049&atid=786242
Patch9:		paps-0.6.6-cpilpi.patch

Summary:	Plain Text to PostScript converter
Group:		Applications/Publishing
%description
paps is a PostScript converter from plain text file using Pango.


%prep
%setup -q
%patch0 -p1 -b .makefile
%patch2 -p1 -b .formfeed
%patch3 -p1 -b .encoding
%patch4 -p0 -b .typo
%patch5 -p1 -b .segfault
%patch6 -p1 -b .fontopt
%patch7 -p1 -b .lcctype
%patch8 -p1 -b .wordwrap
%patch9 -p1 -b .cpilpi
aclocal
automake
autoconf


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING.LIB README TODO
%{_bindir}/paps
%{_mandir}/man1/paps.1*


%changelog
* Fri Sep  1 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-7
- paps-formfeed.patch: fixed to not insert an extra line in next page.
  (#202638)

* Tue Aug 29 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-6
- paps-0.6.6-wordwrap.patch: applied to do a wordwrap.
- paps-0.6.6-cpilpi.patch: add --cpi and --lpi option to support the characters
  per inch and the lines per inch.
- paps-0.6.6-font-option.patch: fixed to get this working.
- paps-0.6.6-encoding.patch: null-terminate the output.

* Tue Jun 20 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-5
- paps-typo-font-scale.patch: backported from CVS.
- paps-0.6.6-font-option.patch: integrated --font-family and --font-scale
  options to --font.
- paps-0.6.6-lcctype.patch: follow LC_CTYPE to determine the default language.

* Fri Jun 16 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-4
- added libtool and doxygen to BuildReq.
- removed NEWS file which is empty.

* Mon Jun 12 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-3
- use make install DESTDIR=... instead of %%makeinstall
- add automake and autoconf to BuildReq.

* Thu May 25 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-2
- paps-0.6.6-encoding.patch: support --encoding option to be able to convert
  the input file to UTF-8.
- paps-0.6.6-segfault.patch: fixed a possible segfault issue when reading is
  failed.

* Fri May 19 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.6-1
- New upstream release.

* Mon Apr 17 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.5-1
- New upstream release.
  - paps-0.6.3-fix-pagesize.patch: removed. it has been merged in upstream.
  - paps-0.6.3-goption.patch: removed. it has been merged in upstream.
  - paps-0.6.3-header.patch: removed. it has been merged in upstream.
- paps-makefile.patch: rework to be applied.

* Fri Mar 31 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.3-4
- paps-0.6.3-formfeed.patch: applied to deal with the formfeed mark properly.
- paps-0.6.3-goption.patch: rewritten option parser using GOption. and segfault
  gone as well. (#187205)
- paps-0.6.3-header.patch: applied to support the output of the page header.

* Fri Mar 24 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.3-3
- paps-0.6.3-fix-pagesize.patch: fixed displaying the beginning of line at out of page. (#176207)

* Thu Mar  2 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.3-2
- rebuilt.

* Wed Jan 11 2006 Akira TAGOH <tagoh@redhat.com> - 0.6.3-1
- New upstream release.
- paps-0.6.2-fix-bufferoverflow.patch: removed.

* Wed Dec 21 2005 Akira TAGOH <tagoh@redhat.com> - 0.6.2-1
- New upstream release.
  - the bitmap font is now ignored. (#176206)
- paps-0.6.2-fix-bufferoverflow.patch: applied to fix the buffer overflow.

* Tue Dec 13 2005 Akira TAGOH <tagoh@redhat.com> - 0.6.1-1
- New upstream release.
- paps-0.6.1-makefile.patch: applied to install docs on the proper dir.

* Fri Nov  4 2005 Akira TAGOH <tagoh@redhat.com> - 0.5-1
- New upstream release.

* Tue Oct 18 2005 Akira TAGOH <tagoh@redhat.com> - 0.3-1
- Initial package.

